import matplotlib.pyplot as plt
import japanize_matplotlib


Days = [5, 6, 7, 8, 9, 10, 11, 12, 13, 14]

MaxTemp = [28, 24, 25, 27, 27, 25, 25, 27, 28, 25]

MinTemp = [18, 20, 17, 17, 20, 20, 19, 16, 17, 18]

plt.title('10日間の天気予報', fontsize = 16) 
plt.plot(Days, MaxTemp, 'rD', markersize = 9)
plt.plot(Days, MinTemp, 'bs', markersize = 9)
plt.plot(Days, MaxTemp, 'r-', linewidth = 3, label = '最高気温')
plt.plot(Days, MinTemp, 'b-', linewidth = 3, label = '最低気温')
plt.xlim(4, 15)
plt.xticks(fontsize = 14)   #   横軸のメモリ表示文字のサイズを14に指定
plt.ylim(15, 30)
plt.yticks(fontsize = 14)
plt.legend(fontsize = 14) 
plt.xlabel('日', fontsize = 18)
plt.ylabel('気温($^\circ\mathrm{C}$)', fontsize = 16)
plt.tight_layout()
plt.savefig('FigTwoLines.png')
plt.show()

